Bug 1727591

Summary: Flatpak cannot use custom user font
Product: [Fedora] Fedora Reporter: rugk <7d28c752>
Component: geditAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 31CC: caillon+fedoraproject, gnome-sig, john.j5live, mark, mclasen, rhughes, rstrode, sandmann
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-14 00:12:45 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description rugk 2019-07-07 12:19:48 UTC
Description of problem:
I have a font installed in ~/.local/share/fonts and I have set this in gnome-tweaks to be the default font.

And by default gedit also tries to use that (it is mentioned in the options), but it can apparently not find it and falls back to a very clearly non-monospace font.

Also, if I search for my font it is not actually not found/displayed, so I can confirm that it apparently cannot find/access it.

In contrast in the GNOME Builder flatpak (from flathub) it does work, e.g. There I can select my font.

Version-Release number of selected component (if applicable): flatpak, 3.32.2


How reproducible:
Always

Steps to Reproduce:
1. Put a new font file in your home dir.
2. Try to select/use that in gedit flatpak.

Actual results:
Not listed/does not work.

Expected results:
Works.

Additional info:

Comment 2 rugk 2019-07-08 18:38:16 UTC
Thanks, there now was also some discussion on why this happens in the forum: https://discussion.fedoraproject.org/t/first-impressions-of-fedora-silverblue-30-coming-from-workstation/2037/4?u=rugk

Comment 3 Fedora Update System 2019-08-07 17:28:05 UTC
FEDORA-FLATPAK-2019-6617f5c501 has been submitted as an update to Fedora 30 Flatpaks. https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2019-6617f5c501

Comment 4 Fedora Update System 2019-08-07 18:13:02 UTC
FEDORA-FLATPAK-2019-ee9e84b613 has been submitted as an update to Fedora 29 Flatpaks. https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2019-ee9e84b613

Comment 5 Fedora Update System 2019-08-08 01:55:34 UTC
flatpak-runtime-f30-3020190807151040.1, flatpak-sdk-f30-3020190807151040.1 has been pushed to the Fedora 30 Flatpaks testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2019-6617f5c501

Comment 6 Fedora Update System 2019-08-08 01:56:17 UTC
flatpak-runtime-f29-2920190807151907.1 has been pushed to the Fedora 29 Flatpaks testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2019-ee9e84b613

Comment 7 Fedora Update System 2019-08-09 15:03:32 UTC
FEDORA-FLATPAK-2019-ee9e84b613 has been submitted as an update to Fedora 29 Flatpaks. https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2019-ee9e84b613

Comment 8 Fedora Update System 2019-08-09 15:06:05 UTC
FEDORA-FLATPAK-2019-6617f5c501 has been submitted as an update to Fedora 30 Flatpaks. https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2019-6617f5c501

Comment 9 Fedora Update System 2019-08-11 01:17:19 UTC
flatpak-runtime-f30-3020190808180228.1, flatpak-sdk-f30-3020190808180228.1 has been pushed to the Fedora 30 Flatpaks testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2019-6617f5c501

Comment 10 Fedora Update System 2019-08-11 01:18:09 UTC
flatpak-runtime-f29-2920190808200711.1 has been pushed to the Fedora 29 Flatpaks testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2019-ee9e84b613

Comment 11 Ben Cotton 2019-08-13 16:47:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 12 Fedora Update System 2019-08-14 00:12:45 UTC
flatpak-runtime-f30-3020190808180228.1, flatpak-sdk-f30-3020190808180228.1 has been pushed to the Fedora 30 Flatpaks stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-08-14 00:43:47 UTC
flatpak-runtime-f29-2920190808200711.1 has been pushed to the Fedora 29 Flatpaks stable repository. If problems still persist, please make note of it in this bug report.